apply plugin: 'com.android.library'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
android {
    compileSdkVersion rootProject.ext.compileSdkVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        multiDexEnabled true
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    sourceSets {
        main {
            manifest.srcFile 'src/main/AndroidManifest.xml'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}
repositories {
    flatDir {
        dirs 'libs', '../cms/libs'
    }
}
dependencies {
    api project(':cms')
    implementation 'com.airbnb.android:lottie:3.1.0'
    implementation 'androidx.viewpager2:viewpager2:1.0.0'
    //tab 指示器
    implementation 'io.github.h07000223:flycoTabLayout:3.0.0'
    implementation 'com.contrarywind:Android-PickerView:4.1.9'
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'com.github.loperSeven:tablayout-ext:0.1.4'
    //banner
    implementation 'com.github.zhpanvip:viewpagerindicator:1.2.1'
//    implementation 'com.github.zhpanvip:bannerviewpager:3.5.5'
    //刷新 核心必须依赖
    implementation  'io.github.scwang90:refresh-layout-kernel:2.0.5'
    implementation  'io.github.scwang90:refresh-header-classics:2.0.5'    //经典刷新头
}
